# cGELSkeletonNode Class Reference
[Module - GEL Dynamics Engine (Deformable Body Simulation)]

cGELSkeletonNode defines a dynamic node within the skeleton. More...

`#include <CGELSkeletonNode.h>`

List of all members.

## Public Member Functions
| cGELSkeletonNode ()
| Constructor of cGELSkeletonNode.
| ~cGELSkeletonNode ()
| Destructor of cGELSkeletonNode.
void | setMass (double a_mass)
| Set the mass of the node.
void | addForce (cVector3d &a_force)
| Add force to node.
void | addTorque (cVector3d &a_torque)
| Add torque to node.
void | setExternalForce (cVector3d &a_force)
| Set an external force to node.
void | setExternalTorque (cVector3d &a_torque)
| Set an external torque to node.
void | computeNextPose (double a_timeInterval)
| Compute next position.
void | applyNextPose ()
| Update pose with new computed values.
void | clearForces ()
| Clear forces and torques.
void | clearExternalForces ()
| Clear external forces and torques.
void | render ()
| Render node in OpenGL.
## Public Attributes
cColorf | m_color
| Color used to display nodes.
double | m_radius
| Radius of mass node.
double | m_mass
| Mass property.
cVector3d | m_force
| Current force applied on node.
cVector3d | m_torque
| Current torque applies on node.
cVector3d | m_acc
| Instant acceleration at node.
cVector3d | m_angAcc
| Instant angular acceleration at node.
cVector3d | m_vel
| Instant velocity at node.
cVector3d | m_angVel
| Instant angular velocity at node.
double | m_kDampingPos
| Linear damping.
double | m_kDampingRot
| Angular damping.
double | m_inertia
| Inertia (to be completed).
bool | m_fixed
| If true, then mass is fixed in space and can not move.
bool | m_useGravity
| f true, then gravity is enabled.
cVector3d | m_gravity
| Gravity field.
cVector3d | m_pos
| Position computed.
cMatrix3d | m_rot
| Rotation computed.
cVector3d | m_nextPos
| Next position computed.
cMatrix3d | m_nextRot
| Next rotation computed.
## Static Public Attributes
static double | default_radius = 0.05
| Default value for node radius.
static double | default_kDampingPos = 5.00
| Default value for linear damping.
static double | default_kDampingRot = 0.1
| Default value for revolute damping.
static double | default_mass = 0.1
| Default value for node mass.
static bool | default_useGravity = true
| Defualt value - Is gravity field enabled?
static cVector3d | default_gravity
| Default value - Gravity field magnitude and direction.
static bool | default_showFrame = true
| Default value - Is the node reference frame displayed?
static cColorf | default_color
| Default color used to render the node.

## Detailed Description

cGELSkeletonNode defines a dynamic node within the skeleton.

## Member Function Documentation

void cGELSkeletonNode::render | ( |  | ) | `[inline]`

Render node in OpenGL.

Define the mass of the node. The inertia is computed accordingly.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELSkeletonNode.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/modules/GEL/CGELSkeletonNode.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.